"
 COPYRIGHT (c) 2019 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libwidg' }"

"{ NameSpace: Smalltalk }"

Windows8ToolbarIconLibrary subclass:#Windows10ToolbarIconLibrary
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Smalltalk'
!

!Windows10ToolbarIconLibrary class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2019 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    ToolbarIconLibrary := Windows10ToolbarIconLibrary

    This is a style specific icon library for a windows10 look.

    Never access this iconlibrary directly from an application -
    always use ToolbarIconLibrary, which is an alias to one of the style specific
    icon libs.

    Notice and Warning:
        only redefine existing icons here; never add only to here.
        For every icon-method here, there MUST be a corresponding (albeit
        possibly ugly) icon-method in GenericToolBarIcon.
"
! !

!Windows10ToolbarIconLibrary class methodsFor:'image specs'!

scrollDownActiveIcon
    ^ self downArrowEnteredIcon
!

scrollDownDisabledIcon
    ^ self downArrowDisabledIcon
!

scrollDownOffEnteredIcon
    ^ self downArrowEnteredIcon
!

scrollDownOffIcon
    ^ self downArrowPassiveIcon
!

scrollLeftActiveIcon
    ^ self leftArrowEnteredIcon
!

scrollLeftDisabledIcon
    ^ self leftArrowDisabledIcon
!

scrollLeftOffEnteredIcon
    ^ self leftArrowEnteredIcon
!

scrollLeftOffIcon
    ^ self leftArrowPassiveIcon
!

scrollRightActiveIcon
    ^ self rightArrowEnteredIcon
!

scrollRightDisabledIcon
    ^ self rightArrowDisabledIcon
!

scrollRightOffEnteredIcon
    ^ self rightArrowEnteredIcon
!

scrollRightOffIcon
    ^ self rightArrowPassiveIcon
!

scrollUpActiveIcon
    ^ self upArrowEnteredIcon
!

scrollUpDisabledIcon
    ^ self upArrowDisabledIcon
!

scrollUpOffEnteredIcon
    ^ self upArrowEnteredIcon

!

scrollUpOffIcon
    ^ self upArrowPassiveIcon
! !

!Windows10ToolbarIconLibrary class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

